PostgreSQL 7.1.3 Documentation
Prev |  | Next

# loimport

## Name

loimport -- imports a file to a PostgreSQL large object [LO]

## Synopsis

    loimport(filename)

### Parameters

`filename`

  The name of the file to be imported (string).

### Return Type

pglarge

  Object handling the PostgreSQL large object.

### Exceptions

TypeError

  Bad argument type or too many arguments.

pg.error

  Invalid connection, or error during file import.

## Description

`loimport()` method allows to create large objects in a very simple way. You just give the name of a file containing the data to be use.

Prev | Home | Next
getlo | Up | Database wrapper class: `DB`